{{#if @section.isCardDeck}}
  <Browse::Campaign::Card @campaign={{@section.item}} @onDelete={{@actions.delete}} />
{{/if}}

{{#if @section.isRow}}
  <th scope="row">
    <LinkTo @route="campaign.campaign" @model={{@section.item.id}} class="text-decoration-none font-weight-bold p-0 ms-0 ps-0">
      {{@section.item.name}}
    </LinkTo>

    <VisibilityIcon @value={{@section.item.isPublished}} />
  </th>

  <td>
    <Article::FirstParagraph @contentBlocks={{@section.item.contentBlocks}} />
  </td>
{{/if}}
